petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMemorySetGetMaximumUsage

Tells PETSc to monitor the maximum memory usage so that PetscMemoryGetMaximumUsage() will work.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMemorySetGetMaximumUsage(void)

Not Collective Many br

### Options Database Key

-memory_view -Print memory usage at end of run Many br
-malloc_log -Activate logging of memory usage Many br

Many br

### See Also

PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(), PetscMallocGetCurrentUsage(),
PetscMemoryGetMaximumUsage() Many br

Level:intermediate
Location:src/sys/memory/mem.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages